## runc-stable 1.3.0

=== debian/changelog ===
runc-stable (1.3.0-0ubuntu1) questing; urgency=medium

  * Fork from runc-app (LP: #2120949)
    - Update package name
    - Add Conflics, Replaces, and Provides relations with runc
    - Update package description

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Tue, 26 Aug 2025 14:48:24 -0300
