## runc-stable 1.3.4

=== debian/changelog ===
runc-stable (1.3.4-0ubuntu1) resolute; urgency=medium

  * Import Upstream version 1.3.4
  * d/p/improve-resilience-on-busy-system.patch: drop patch applied upstream
  * d/p/lp-2130744.patch: drop patch applied upstream
  * d/copyright: update copyright data

 -- Athos Ribeiro <athos@ubuntu.com>  Mon, 09 Feb 2026 10:47:48 -0300

runc-stable (1.3.3-0ubuntu2) resolute; urgency=medium

   * SECURITY REGRESSION: Wrong default tmpfs permission handling
     (LP: #2130744)
     - d/p/lp-2130744.patch: rootfs: only set mode= for tmpfs
       mount if target already existed

 -- Nick Galanis <nick.galanis@canonical.com>  Wed, 19 Nov 2025 13:00:23 +0000

runc-stable (1.3.3-0ubuntu1) resolute; urgency=medium

  * Import Upstream version 1.3.3
  * d/p/improve-resilience-on-busy-system.patch: fix regression on starting
    containers mounting paths with ".."

 -- Athos Ribeiro <athos@ubuntu.com>  Fri, 14 Nov 2025 11:39:42 -0300
